"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = MDXContent;
var _react = _interopRequireDefault(require("react"));
var _react2 = require("@mdx-js/react");
var _excluded = ["components"]; // @ts-nocheck
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var s = Object.getOwnPropertySymbols(e); for (r = 0; r < s.length; r++) o = s[r], t.includes(o) || {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (e.includes(n)) continue; t[n] = r[n]; } return t; }
/* @jsxRuntime classic */
/* @jsx mdx */

var layoutProps = {};
var MDXLayout = "wrapper";
function MDXContent(_ref) {
  var components = _ref.components,
    props = _objectWithoutProperties(_ref, _excluded);
  return (0, _react2.mdx)(MDXLayout, _extends({}, layoutProps, props, {
    components: components,
    mdxType: "MDXLayout"
  }), (0, _react2.mdx)("h2", null, "How to Render your Component"), (0, _react2.mdx)("iframe", {
    width: "560",
    height: "315",
    src: "https://www.youtube.com/embed/so8CcUzTrn4?rel=0",
    title: "Rendering your Component",
    frameborder: "0",
    allow: "accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture",
    allowfullscreen: true
  }), (0, _react2.mdx)("p", null, "Bit supports rendering your component in isolation which works as your local development environment. You can have multiple compositions per component to showcase different use cases, themes etc."), (0, _react2.mdx)("blockquote", null, (0, _react2.mdx)("p", {
    parentName: "blockquote"
  }, "Adding compositions to a component is done by creating a file in the component's directory, using the ", (0, _react2.mdx)("inlineCode", {
    parentName: "p"
  }, "*.composition.*"), " pattern.")), (0, _react2.mdx)("p", null, "For example:"), (0, _react2.mdx)("pre", null, (0, _react2.mdx)("code", {
    parentName: "pre",
    "className": "language-bash",
    "metastring": "{3}",
    "{3}": true
  }, "button\n\u251C\u2500\u2500 button.composition.tsx\n\u251C\u2500\u2500 button.tsx\n\u2514\u2500\u2500 index.ts\n")), (0, _react2.mdx)("p", null, "You can create various compositions to showcase different usages of your component."), (0, _react2.mdx)("p", null, "Basic Button:"), (0, _react2.mdx)("pre", null, (0, _react2.mdx)("code", {
    parentName: "pre",
    "className": "language-js"
  }, "import React from 'react';\nimport { Button } from './button';\n\nexport const BasicButton = () => {\n  return <Button text=\"click me\" />;\n};\n")), (0, _react2.mdx)("p", null, "Primary Button:"), (0, _react2.mdx)("pre", null, (0, _react2.mdx)("code", {
    parentName: "pre",
    "className": "language-js"
  }, "import React from 'react';\nimport { Button } from './button';\n\nexport const PrimaryButton = () => {\n  return <Button type=\"primary\" text=\"click me\" />;\n};\n")), (0, _react2.mdx)("p", null, (0, _react2.mdx)("a", {
    parentName: "p",
    "href": "https://harmony-docs.bit.dev/aspects/compositions"
  }, "Learn more about compositions.")));
}
;
MDXContent.isMDXComponent = true;

//# sourceMappingURL=adding-compositions.mdx.js.map